Package twisted :: Package words :: Module webwords :: Class ParticipantListWidget

[show private | hide private]
[frames | no frames]

## Class ParticipantListWidget

    Collection --+
                 |
       Constrained --+
                     |
      ConfigCollection --+
                         |
                  Resource --+
                             |
                        Gadget --+
                                 |
                        Widget --+
                                 |
                     Versioned --+
                                 |
                                ParticipantListWidget

Method Summary
| `__init__(self, service)`
| ``__getstate__`(self, dict)` Get state, adding a version number to it on its way out. (inherited from `Versioned`)
| `__setstate__(self, state)` (inherited from `Versioned`)
| ``addFile`(self, path)` Gadget.addFile(path) Add a static path to this Gadget. (inherited from `Gadget`)
| ``delEntity`(self, name)` Remove a static reference for 'name'. (inherited from `Resource`)
| ``display`(self, request)` Get HTML for a directory of participants.
| ``entityConstraint`(self, entity)` A method that determines whether an entity may be added to me. (inherited from `ConfigCollection`)
| ``getChild`(self, path, request)` Retrieve a 'child' resource from me. (inherited from `Gadget`)
| ``getChildForRequest`(self, request)` (internal) Get a child of mine dependant on a particular request. (inherited from `Resource`)
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me. (inherited from `Resource`)
| ``getDynamicEntity`(self, name, request)` Subclass this to generate an entity on demand. (inherited from `Resource`)
| ``getEntity`(self, name, request)` Retrieve an entity from me. (inherited from `Collection`)
| `getEntityType(self)` (inherited from `ConfigCollection`)
| `getNameType(self)` (inherited from `ConfigCollection`)
| ``getStaticEntity`(self, name)` Get an entity that was added to me using putEntity. (inherited from `Resource`)
| `getTitle(self, request)` (inherited from `Widget`)
| ``getWidget`(self, name, request)` Get info for a particular participant.
| ``listDynamicEntities`(self, request)` A list of all name, entity that I can generate on demand. (inherited from `Resource`)
| ``listDynamicNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| `listEntities(self)` (inherited from `Resource`)
| `listNames(self)` (inherited from `Resource`)
| ``listStaticEntities`(self)` Retrieve a list of all name, entity pairs that I store references to. (inherited from `Resource`)
| ``listStaticNames`(self)` Retrieve a list of the names of entities that I store references to. (inherited from `Resource`)
| ``nameConstraint`(self, name)` A method that determines whether an entity may be added to me with a given name. (inherited from `Constrained`)
| ``pageFactory`(self, *args, **kwargs)` Gadget.pageFactory(*args, **kwargs) -> Resource By default, this method returns self.page(*args, **kwargs). (inherited from `Gadget`)
| ``putChild`(self, path, child)` Register a static child. (inherited from `Resource`)
| ``putEntity`(self, name, entity)` Store an entity if it meets both constraints. (inherited from `Constrained`)
| ``putPath`(self, path, pathname)` Gadget.putPath(path, pathname) Add a static path to this Gadget. (inherited from `Gadget`)
| ``putWidget`(self, path, widget)` Gadget.putWidget(path, widget) Add a Widget to this Gadget. (inherited from `Gadget`)
| `reallyPutEntity(self, name, entity)` (inherited from `Resource`)
| ``removeEntity`(self, name, request)` Remove an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| ``render`(self, request)` Render a given resource. (inherited from `Gadget`)
| ``storeEntity`(self, name, request)` Store an entity for 'name', based on the content of 'request'. (inherited from `Collection`)
| `upgradeToVersion1(self)`
| `upgradeToVersion2(self)`
| ``versionUpgrade`(self)` (internal) Do a version upgrade. (inherited from `Versioned`)

Class Variable Summary
`int` | `persistenceVersion`

Method Details

### display(self, request)

Get HTML for a directory of participants.

### getWidget(self, name, request)

Get info for a particular participant.

Class Variable Details

### persistenceVersion

  Type:
    `int`
  Value:

        2

Generated by Epydoc 1.1 on Thu May 8 13:19:27 2003 | http://epydoc.sf.net